Update Dashboard
PUThttps://api.confident-ai.com/v1/dashboards/{dashboardId}
Updates a dashboard's metadata and returns the id of the updated dashboard. Only the provided fields are changed.
curl -X PUT "https://api.confident-ai.com/v1/dashboards/{dashboardId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Renamed Dashboard"
}'{
"success": true,
"data": {
"id": "DASHBOARD-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
dashboardIdstringRequiredThe id of the dashboard.
Request body
namestringThe dashboard's new name.
descriptionstringThe dashboard's new description.
privatebooleanWhether the dashboard is private to its creator.
Response
The id of the updated dashboard.
successbooleanIndicates if the request was successful.
dataobjectThe id of the affected dashboard or widget.
Show 1 propertyHide 1 property
idstringThe id of the affected dashboard or widget.
deprecatedbooleanIndicates if this endpoint is deprecated.